//
//  KitLocateTasker.m
//  Periodic-Example-iPhone
//
//  Created by KitLocate on 06/03/13.
//  Copyright (c) 2013 KitLocate. All rights reserved.
//
//  The class which implements the CallBack functions of KitLocate
//

#import "KitLocateTasker.h"
#import <KitLocate/KitLocate.h>


@implementation KitLocateTasker

// This delegate method will fired when KitLocate recognized a driving started
-(void)startDrivingDetected
{
#warning Add your code here to handle the event
    // EXAMPLE - we will give local push notification (Application must be in background to get the notification)
    
    NSString *strText = [NSString stringWithFormat:@"Start driving detected!"];
    
    [KLGeneralUtilities createPushWithText:strText ImageName:@"Default.png" IconBadge:0 SoundName:UILocalNotificationDefaultSoundName];
}

// This delegate method will fired when KitLocate recognized a driving ended
-(void)stopDrivingDetected
{
#warning Add your code here to handle the event
    // EXAMPLE - we will give local push notification (Application must be in background to get the notification)
    
    NSString *strText = [NSString stringWithFormat:@"Stop driving detected"];
    
    [KLGeneralUtilities createPushWithText:strText ImageName:@"Default.png" IconBadge:0 SoundName:UILocalNotificationDefaultSoundName];
}

@end
